Loading...
Searching...
No Matches
gtsam::DummyPreconditionerParameters Struct Reference
Inheritance diagram for gtsam::DummyPreconditionerParameters:

## Public Types

typedef PreconditionerParameters | Base
typedef boost::shared_ptr< DummyPreconditionerParameters > | shared_ptr
Public Types inherited from gtsam::PreconditionerParameters
enum | Kernel { GTSAM = 0 , CHOLMOD }
enum | Verbosity { SILENT = 0 , COMPLEXITY = 1 , ERROR = 2 }
typedef boost::shared_ptr< PreconditionerParameters > | shared_ptr

## Additional Inherited Members

Public Member Functions inherited from gtsam::PreconditionerParameters
| PreconditionerParameters (const PreconditionerParameters &p)
Kernel | kernel () const
Verbosity | verbosity () const
void | print () const
virtual void | print (std::ostream &os) const
Static Public Member Functions inherited from gtsam::PreconditionerParameters
static Kernel | kernelTranslator (const std::string &s)
static Verbosity | verbosityTranslator (const std::string &s)
static std::string | kernelTranslator (Kernel k)
static std::string | verbosityTranslator (Verbosity v)
Public Attributes inherited from gtsam::PreconditionerParameters
enum gtsam::PreconditionerParameters::Kernel | kernel_
enum gtsam::PreconditionerParameters::Verbosity | verbosity_

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/Preconditioner.h